#
# structure for table `autodl`
#

CREATE TABLE `autodl` (
  `id` int(11) NOT NULL auto_increment,
  `serviceurl` text NOT NULL,
  `name` text NOT NULL,
  `searchstr` text NOT NULL,
  `typ` tinyint(4) NOT NULL default '0',
  `descr` text NOT NULL,
  `uploader` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='autodl search criterias' AUTO_INCREMENT=2 ;

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `avatars`
#

CREATE TABLE `avatars` (
  `id` int(11) NOT NULL auto_increment,
  `name` text NOT NULL,
  `image` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='avatar data' AUTO_INCREMENT=2 ;

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `comments`
#

CREATE TABLE `comments` (
  `id` int(11) NOT NULL auto_increment,
  `tid` int(11) NOT NULL default '0',
  `username` text NOT NULL,
  `datum` datetime NOT NULL default '0000-00-00 00:00:00',
  `kommentar` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='torrent-comments' AUTO_INCREMENT=2 ;

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `delays`
#

CREATE TABLE `delays` (
  `id` int(11) NOT NULL auto_increment,
  `ratio` decimal(3,2) NOT NULL default '0.00',
  `up` double NOT NULL default '0',
  `delay` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='dl-delay times' AUTO_INCREMENT=2 ;

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `genres`
#

CREATE TABLE `genres` (
  `id` int(11) NOT NULL auto_increment,
  `name` text NOT NULL,
  `bild` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='torrent-types' AUTO_INCREMENT=2 ;

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `messages`
#

CREATE TABLE `messages` (
  `id` int(11) NOT NULL auto_increment,
  `mfrom` text NOT NULL,
  `mto` text NOT NULL,
  `fup` int(11) NOT NULL default '0',
  `datum` datetime NOT NULL default '0000-00-00 00:00:00',
  `betreff` text NOT NULL,
  `inhalt` text NOT NULL,
  `gelesen` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='message data' AUTO_INCREMENT=2 ;

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `news`
#

CREATE TABLE `news` (
  `id` int(11) NOT NULL auto_increment,
  `datum` datetime NOT NULL default '0000-00-00 00:00:00',
  `inhalt` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='news data' AUTO_INCREMENT=2 ;

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `ranks`
#

CREATE TABLE `ranks` (
  `id` int(11) NOT NULL auto_increment,
  `name` text NOT NULL,
  `punkte` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='user-rankings' AUTO_INCREMENT=2 ;

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `shoutbox`
#

CREATE TABLE `shoutbox` (
  `id` int(11) NOT NULL auto_increment,
  `username` text NOT NULL,
  `datum` text NOT NULL,
  `inhalt` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='shoutbox data' AUTO_INCREMENT=2 ;

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `smilies`
#

CREATE TABLE `smilies` (
  `id` int(11) NOT NULL auto_increment,
  `bbcode` varchar(8) NOT NULL default '',
  `img` varchar(32) NOT NULL default '',
  `name` varchar(128) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='bbcode smilies' AUTO_INCREMENT=2 ;

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `torrents`
#

CREATE TABLE `torrents` (
  `id` int(11) NOT NULL auto_increment,
  `typ` smallint(6) NOT NULL default '0',
  `name` text NOT NULL,
  `wertung` smallint(6) NOT NULL default '0',
  `anzwert` int(11) NOT NULL default '0',
  `hinzugefuegt` datetime NOT NULL default '0000-00-00 00:00:00',
  `groesse` int(11) NOT NULL default '0',
  `uploader` text NOT NULL,
  `dlname` text NOT NULL,
  `beschreibung` text NOT NULL,
  `views` int(11) NOT NULL default '0',
  `hits` int(11) NOT NULL default '0',
  `announce` text NOT NULL,
  `hash` text NOT NULL,
  `tr_downloaded` text NOT NULL,
  `tr_incomplete` text NOT NULL,
  `tr_complete` text NOT NULL,
  `purename` text NOT NULL,
  `imdblink` text NOT NULL,
  `anzfiles` int(11) NOT NULL default '0',
  `offsince` smallint(6) NOT NULL default '0',
  `register` smallint(6) NOT NULL default '0',
  `lastupdate` varchar(64) NOT NULL default '1',
  `added` varchar(64) NOT NULL default '0',
  `voted` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='torrents data' AUTO_INCREMENT=2 ;

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `tracker_content`
#

CREATE TABLE `tracker_content` (
  `id` bigint(20) NOT NULL auto_increment,
  `hash` varchar(50) NOT NULL default '',
  `stamp` double NOT NULL default '0',
  `seeder` bigint(20) NOT NULL default '0',
  `leecher` bigint(20) NOT NULL default '0',
  `complete` double NOT NULL default '0',
  `peer_pid` varchar(90) NOT NULL default '',
  `peer_ip` varchar(50) NOT NULL default '',
  `peer_port` int(6) NOT NULL default '0',
  `peer_uploaded` double NOT NULL default '0',
  `peer_downloaded` double NOT NULL default '0',
  `peer_left` double NOT NULL default '0',
  `peer_stamp` double NOT NULL default '0',
  `peer_status` enum('leeching','seeding') NOT NULL default 'leeching',
  `peer_completed` enum('yes','no') NOT NULL default 'yes',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='tracker data' AUTO_INCREMENT=2 ;

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `users`
#

CREATE TABLE `users` (
  `id` int(11) NOT NULL auto_increment,
  `name` text NOT NULL,
  `password` text NOT NULL,
  `sessid` text NOT NULL,
  `time` text NOT NULL,
  `whoisit` text NOT NULL,
  `status` smallint(6) NOT NULL default '0',
  `registered` datetime NOT NULL default '0000-00-00 00:00:00',
  `last` datetime NOT NULL default '0000-00-00 00:00:00',
  `avatar` smallint(6) NOT NULL default '0',
  `descr` text NOT NULL,
  `dld` int(11) NOT NULL default '0',
  `upd` int(11) NOT NULL default '0',
  `show` smallint(6) NOT NULL default '0',
  `ipaddr` text NOT NULL,
  `emailverified` smallint(6) NOT NULL default '0',
  `email` text NOT NULL,
  `lang` text NOT NULL,
  `tr_up` double NOT NULL default '0',
  `tr_down` double NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='user data' AUTO_INCREMENT=2 ;

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `tracker_blacklist`
#

CREATE TABLE `tracker_blacklist` (
  `id` int(11) NOT NULL auto_increment,
  `ip` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM COMMENT='tracker ip blacklist' AUTO_INCREMENT=1 ;
